#devtools::install_github("pldimitrov/rrd")
library(rrd)

rrd_laysan_apache_bytes <- system.file("/home/frederik/apache_bytes.rrd", package = "rrd")

apache_bytes <- read_rrd("/home/frederik/apache_bytes.rrd")
describe_rrd("/home/frederik/apache_bytes.rrd")

end_time <- as.POSIXct("2018-08-15") # timestamp with data in example
start_time <- as.POSIXct("2018-04-15")
avg_26350 <- read_rra("/home/frederik/apache_bytes.rrd", cf = "AVERAGE",
                      #step = 86400,
                      step = 26350, 
                      #n_steps = 24 * 60,
                      start = start_time,
                      end = end_time)

avg_10 <- read_rra("/home/frederik/apache_bytes.rrd", cf = "AVERAGE",
                      #step = 86400,
                      step =1,
                      n_steps = 120 ,
                      end = end_time)

names(apache_bytes)
library(ggplot2)
ggplot(avg_10, aes(x = timestamp, y = value)) + 
  geom_line() +
  stat_smooth(method = "loess", span = 0.125, se = FALSE) +
  ggtitle("apache bytes, data read from RRD file")

#devtools::install_github("tidyverts/fable")
library(fable)
library(tsibble)
ts_avg_bytes <- as.tsibble(avg_10, regular = TRUE)

ts_avg_bytes %>%
  fill_na(value = as.integer(median(value))) %>%
  ETS(value) %>%
  forecast(h=50) %>%
  autoplot
